2025-06-18 18:59:57 UTC
128 MB
true
GODEBUGmadvdontneed=1
LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE/
PATH/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
containeroci
[#000] sha256:5da0776917bf2f2c91712fcf43a69d6e0ccfef2594009767ed8823c2d31a6719 - 29.67% (38 MB)
[#001] sha256:8ec1d806530b6d9b6d18f34477bacba89fedebeef824ea1b36dd249b9a0b2e1c - 0.01% (9.54 KB)
[#002] sha256:7800efd932e9350e72785098fa607c8971183c4d6ed97086d2108992f015f73c - 0.0% (609 Bytes)
[#003] sha256:10d7d9494c9f6ba7b92009a7cebfcbd29d888130b7f46767d7c35cc76b002cf9 - 0.0% (620 Bytes)
[#004] sha256:42fce65801d685481989c259f4c8902808d9486805fe38c51c4b4bb9a114f281 - 56.25% (72.1 MB)
[#005] sha256:4f3f8fc38d72cef75e8c3edf9af62001eeabe0dd7e8ae741f27dbcc9355ecf3f - 0.0% (126 Bytes)
[#006] sha256:96098aa820e0614c7078ab2ce17794caef6f8eabe37e7445b89f291c2682eca6 - 0.0% (5.47 KB)
[#007] sha256:c859d0b4b71e72d35065490cc491347994979e2643f7e6cd979a835ccf18aef7 - 0.17% (225 KB)
[#008] sha256:6222f7dbf73369a6658f2aec87595fc70358b43184c76650574637d4b2ae0e18 - 0.0% (513 Bytes)
[#009] sha256:104d77445b178bb5cca0b9787a58999995d1c1c98501ce1a78f6c50f73bb6321 - 0.0% (1.12 KB)
[#010] sha256:5f1ea7953b872cac3ae6e5b66e70326044a626879a4f2ee04163f7c20f0249e4 - 13.9% (17.8 MB)
[#011] sha256:4ca545ee6d5db5c1170386eeb39b2ffe3bd46e5d4a73a9acbebc805f19607eb3 - 0.0% (42 Bytes)
/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."
2025-06-09 17:19:29 UTC/bin/sh -c #(nop) LABEL vendor="Red Hat, Inc."
2025-06-09 17:19:29 UTC/bin/sh -c #(nop) LABEL url="https://www.redhat.com"
2025-06-09 17:19:29 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-minimal-container" name="ubi9-minimal" version="9.6" distribution-scope="public"
2025-06-09 17:19:29 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2025-06-09 17:19:29 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 9."
2025-06-09 17:19:29 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2025-06-09 17:19:29 UTC/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2025-06-09 17:19:29 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9 Minimal"
2025-06-09 17:19:29 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2025-06-09 17:19:29 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="minimal rhel9"
2025-06-09 17:19:29 UTC/bin/sh -c #(nop) ENV container oci
2025-06-09 17:19:30 UTC/bin/sh -c #(nop) COPY dir:bac616b15ea24c824075e7e76d7146b6c91b244abd89c8cc5c4ec0f5677c20ac in /
2025-06-09 17:19:30 UTC/bin/sh -c #(nop) COPY file:b37d593713ee21ad52a4cd1424dc019a24f7966f85df0ac4b86d234302695328 in /etc/yum.repos.d/.
2025-06-09 17:19:30 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2025-06-09 17:19:30 UTC/bin/sh -c #(nop) COPY file:58cc94f5b3b2d60de2c77a6ed4b1797dcede502ccdb429a72e7a72d994235b3c in /usr/share/buildinfo/content-sets.json
2025-06-09 17:19:30 UTC/bin/sh -c #(nop) LABEL "build-date"="2025-06-09T17:19:15" "architecture"="x86_64" "vcs-type"="git" "vcs-ref"="7e18551b8a7ac3e7aa6347d84b9f0b5c8cc8fe52" "release"="1749489516"
2025-06-18 18:59:38 UTC (buildkit.dockerfile.v0)LABEL org.label-schema.build-date=2025-06-18T18:53:14Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.0.3 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=c394cb8e6470384d0c93b85f96c281dd6ec6592a io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2025-06-18T18:53:14Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.0.3 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.
2025-06-18 18:59:38 UTC (buildkit.dockerfile.v0)ENV ELASTIC_CONTAINER=true
2025-06-18 18:59:38 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2025-06-18 18:59:38 UTC (buildkit.dockerfile.v0)ENV GODEBUG=madvdontneed=1
2025-06-18 18:59:38 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit
2025-06-18 18:59:38 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit
2025-06-18 18:59:40 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit
2025-06-18 18:59:52 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat /usr/share/filebeat # buildkit
2025-06-18 18:59:52 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mkdir /licenses # buildkit
2025-06-18 18:59:52 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit
2025-06-18 18:59:52 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit
2025-06-18 18:59:52 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit
2025-06-18 18:59:53 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit
2025-06-18 18:59:57 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit
2025-06-18 18:59:57 UTC (buildkit.dockerfile.v0)USER 1000
2025-06-18 18:59:57 UTC (buildkit.dockerfile.v0)ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/
2025-06-18 18:59:57 UTC (buildkit.dockerfile.v0)WORKDIR /usr/share/filebeat
2025-06-18 18:59:57 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]
2025-06-18 18:59:57 UTC (buildkit.dockerfile.v0)CMD ["--environment" "container"]
2025-06-18 19:04:53 UTC
117 MB
true
GODEBUGmadvdontneed=1
LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE/
PATH/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
containeroci
[#000] sha256:1b5705bf100917a942d27eaf860431621f3f92233a5e915565783f73bc47b4bf - 31.19% (36.4 MB)
[#001] sha256:af375968a21bb0bd5b87936b0014af93774294b4990501968a858165ee437086 - 0.01% (9.11 KB)
[#002] sha256:743e4690bec8ce96e855b2f26bbe2e49d5941dab91072c509627eca00bb4679d - 0.0% (611 Bytes)
[#003] sha256:f94f78bac3ed70ecaca447914814dc2328dfa1966f5fb4b035aba3d6508a4e5e - 0.0% (622 Bytes)
[#004] sha256:cae7c144ebb74f4ae26732af3cae515979b59ae4c087332241cb9cc8ce36ae62 - 53.51% (62.5 MB)
[#005] sha256:e74b400624b51df1ddd91af08c99cc0be799e684b6a480837421e59ca38b1732 - 0.0% (125 Bytes)
[#006] sha256:178d0f1649fe929c47c5df548c3184ece92f671aad33273caac449f0496ac2f7 - 0.0% (5.46 KB)
[#007] sha256:45367aa21e3c16f7a9ff26364638805dc91b7b3344210a346c4fd52e45a30f20 - 0.19% (225 KB)
[#008] sha256:080065fa25e65d9b8b47d53f1ac8a92f1b75ef0b7e511321d7f8d72179e82ab3 - 0.0% (515 Bytes)
[#009] sha256:60840a4c60005bf19367b4f6a2ee107d0ca589d0f0af58eb9b9af076478cae9b - 0.0% (1.12 KB)
[#010] sha256:a0733a4277f5d37ba99aaf6a5e916f1da0feec9d70ea2324d87e8719d6a4c49b - 15.1% (17.6 MB)
[#011] sha256:4ca545ee6d5db5c1170386eeb39b2ffe3bd46e5d4a73a9acbebc805f19607eb3 - 0.0% (42 Bytes)
/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."
2025-06-09 17:24:18 UTC/bin/sh -c #(nop) LABEL vendor="Red Hat, Inc."
2025-06-09 17:24:18 UTC/bin/sh -c #(nop) LABEL url="https://www.redhat.com"
2025-06-09 17:24:18 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-minimal-container" name="ubi9-minimal" version="9.6" distribution-scope="public"
2025-06-09 17:24:18 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2025-06-09 17:24:18 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 9."
2025-06-09 17:24:18 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2025-06-09 17:24:18 UTC/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2025-06-09 17:24:18 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9 Minimal"
2025-06-09 17:24:18 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2025-06-09 17:24:18 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="minimal rhel9"
2025-06-09 17:24:18 UTC/bin/sh -c #(nop) ENV container oci
2025-06-09 17:24:19 UTC/bin/sh -c #(nop) COPY dir:dd3dc18ab466569b07043336c84190595a673cf78699fcf70dbf83deddf44d87 in /
2025-06-09 17:24:19 UTC/bin/sh -c #(nop) COPY file:b37d593713ee21ad52a4cd1424dc019a24f7966f85df0ac4b86d234302695328 in /etc/yum.repos.d/.
2025-06-09 17:24:19 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2025-06-09 17:24:19 UTC/bin/sh -c #(nop) COPY file:0667e9d31385a24c3aef13f2dd9ab6a7b71b3dfcfef5127d3c1e2ea2c838e5cb in /usr/share/buildinfo/content-sets.json
2025-06-09 17:24:20 UTC/bin/sh -c #(nop) LABEL "build-date"="2025-06-09T17:24:02" "architecture"="aarch64" "vcs-type"="git" "vcs-ref"="7e18551b8a7ac3e7aa6347d84b9f0b5c8cc8fe52" "release"="1749489516"
2025-06-18 19:04:27 UTC (buildkit.dockerfile.v0)LABEL org.label-schema.build-date=2025-06-18T18:55:23Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.0.3 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=c394cb8e6470384d0c93b85f96c281dd6ec6592a io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2025-06-18T18:55:23Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.0.3 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.
2025-06-18 19:04:27 UTC (buildkit.dockerfile.v0)ENV ELASTIC_CONTAINER=true
2025-06-18 19:04:27 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2025-06-18 19:04:27 UTC (buildkit.dockerfile.v0)ENV GODEBUG=madvdontneed=1
2025-06-18 19:04:27 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit
2025-06-18 19:04:29 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit
2025-06-18 19:04:31 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit
2025-06-18 19:04:46 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat /usr/share/filebeat # buildkit
2025-06-18 19:04:46 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mkdir /licenses # buildkit
2025-06-18 19:04:46 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit
2025-06-18 19:04:46 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit
2025-06-18 19:04:46 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit
2025-06-18 19:04:47 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit
2025-06-18 19:04:53 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit
2025-06-18 19:04:53 UTC (buildkit.dockerfile.v0)USER 1000
2025-06-18 19:04:53 UTC (buildkit.dockerfile.v0)ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/
2025-06-18 19:04:53 UTC (buildkit.dockerfile.v0)WORKDIR /usr/share/filebeat
2025-06-18 19:04:53 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]
2025-06-18 19:04:53 UTC (buildkit.dockerfile.v0)CMD ["--environment" "container"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.